[arch-commits] Commit in zeitgeist/repos (4 files)

Jan de Groot jgc at archlinux.org
Sun Feb 19 23:00:45 UTC 2017


    Date: Sunday, February 19, 2017 @ 23:00:45
  Author: jgc
Revision: 289302

archrelease: copy trunk to extra-i686, extra-x86_64

Added:
  zeitgeist/repos/extra-i686/PKGBUILD
    (from rev 289301, zeitgeist/trunk/PKGBUILD)
  zeitgeist/repos/extra-x86_64/PKGBUILD
    (from rev 289301, zeitgeist/trunk/PKGBUILD)
Deleted:
  zeitgeist/repos/extra-i686/PKGBUILD
  zeitgeist/repos/extra-x86_64/PKGBUILD

-----------------------+
 /PKGBUILD             |  100 ++++++++++++++++++++++++++++++++++++++++++++++++
 extra-i686/PKGBUILD   |   50 ------------------------
 extra-x86_64/PKGBUILD |   50 ------------------------
 3 files changed, 100 insertions(+), 100 deletions(-)

Deleted: extra-i686/PKGBUILD
===================================================================
--- extra-i686/PKGBUILD	2017-02-19 23:00:35 UTC (rev 289301)
+++ extra-i686/PKGBUILD	2017-02-19 23:00:45 UTC (rev 289302)
@@ -1,50 +0,0 @@
-# $Id$
-# Maintainer: Jan Alexander Steffens (heftig) <jan.steffens at gmail.com>
-# Contributor: Andrea Scarpino <andrea at archlinux.org>
-# Contributor: György Balló <ballogy at freestart.hu>
-
-pkgname=zeitgeist
-pkgver=0.9.16
-pkgrel=2
-pkgdesc="Service logging user activities and events"
-arch=(i686 x86_64)
-url="http://zeitgeist-project.com/"
-license=(GPL2 LGPL2.1)
-depends=(json-glib telepathy-glib gtk3 xapian-core)
-makedepends=(intltool gobject-introspection vala raptor python2-rdflib gnome-common)
-provides=(zeitgeist-datahub)
-conflicts=(zeitgeist-datahub)
-replaces=(zeitgeist-datahub)
-source=(https://launchpad.net/zeitgeist/${pkgver:0:3}/${pkgver}/+download/zeitgeist-${pkgver}.tar.xz{,.asc})
-md5sums=('f56b58a19d5fd5a7365ddcbe26ee6b15'
-         'SKIP')
-validpgpkeys=('E4884AEEDE4CC02043C3D8045DECDBA89270E723') #Rico Tzschichholz <ricotz at ubuntu.com>
-
-prepare() {
-  cd $pkgname-$pkgver
-
-  sed -i 's/python -/$PYTHON -/' configure.ac
-  sed -i '1s/python$/python2/' data/ontology2code
-
-  autoreconf -fi
-}
-
-build() {
-  cd $pkgname-$pkgver
-  export PYTHON=/usr/bin/python2
-  ./configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var \
-    --libexecdir=/usr/lib/$pkgname --enable-fts
-  sed -i -e 's/ -shared / -Wl,-O1,--as-needed\0 /g' -e 's/    if test "$export_dynamic" = yes && test -n "$export_dynamic_flag_spec"; then/      func_append compile_command " -Wl,-O1,--as-needed"\n      func_append finalize_command " -Wl,-O1,--as-needed"\n\0/' libtool
-  make
-}
-
-check() {
-  cd $pkgname-$pkgver
-  # Log test fails in chroot, as we have no X and no proper dbus
-  make -k check || :
-}
-
-package() {
-  cd $pkgname-$pkgver
-  make DESTDIR="$pkgdir" install
-}

Copied: zeitgeist/repos/extra-i686/PKGBUILD (from rev 289301, zeitgeist/trunk/PKGBUILD)
===================================================================
--- extra-i686/PKGBUILD	                        (rev 0)
+++ extra-i686/PKGBUILD	2017-02-19 23:00:45 UTC (rev 289302)
@@ -0,0 +1,50 @@
+# $Id$
+# Maintainer: Jan Alexander Steffens (heftig) <jan.steffens at gmail.com>
+# Contributor: Andrea Scarpino <andrea at archlinux.org>
+# Contributor: György Balló <ballogy at freestart.hu>
+
+pkgname=zeitgeist
+pkgver=1.0
+pkgrel=1
+pkgdesc="Service logging user activities and events"
+arch=(i686 x86_64)
+url="https://launchpad.net/zeitgeist/"
+license=(GPL2 LGPL2.1)
+depends=(json-glib telepathy-glib gtk3 xapian-core sqlite)
+makedepends=(gobject-introspection vala raptor python2-rdflib)
+provides=(zeitgeist-datahub)
+conflicts=(zeitgeist-datahub)
+replaces=(zeitgeist-datahub)
+source=(https://launchpad.net/zeitgeist/${pkgver:0:3}/${pkgver}/+download/zeitgeist-${pkgver}.tar.xz{,.asc})
+sha256sums=('5ff508508f7a7b46acc9fbf1cf73fecb1aec214e18d9d22325aae8c2c2e8ddc8'
+            'SKIP')
+validpgpkeys=('E4884AEEDE4CC02043C3D8045DECDBA89270E723') #Rico Tzschichholz <ricotz at ubuntu.com>
+
+prepare() {
+  cd $pkgname-$pkgver
+
+  sed -i 's/python -/$PYTHON -/' configure.ac
+  sed -i '1s/python$/python2/' data/ontology2code
+
+  autoreconf -fi
+}
+
+build() {
+  cd $pkgname-$pkgver
+  export PYTHON=/usr/bin/python2
+  ./configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var \
+    --libexecdir=/usr/lib --enable-fts
+  sed -i -e 's/ -shared / -Wl,-O1,--as-needed\0/g' libtool
+  make
+}
+
+check() {
+  cd $pkgname-$pkgver
+  # Log test fails in chroot, as we have no X and no proper dbus
+  make -k check || :
+}
+
+package() {
+  cd $pkgname-$pkgver
+  make DESTDIR="$pkgdir" install
+}

Deleted: extra-x86_64/PKGBUILD
===================================================================
--- extra-x86_64/PKGBUILD	2017-02-19 23:00:35 UTC (rev 289301)
+++ extra-x86_64/PKGBUILD	2017-02-19 23:00:45 UTC (rev 289302)
@@ -1,50 +0,0 @@
-# $Id$
-# Maintainer: Jan Alexander Steffens (heftig) <jan.steffens at gmail.com>
-# Contributor: Andrea Scarpino <andrea at archlinux.org>
-# Contributor: György Balló <ballogy at freestart.hu>
-
-pkgname=zeitgeist
-pkgver=0.9.16
-pkgrel=2
-pkgdesc="Service logging user activities and events"
-arch=(i686 x86_64)
-url="http://zeitgeist-project.com/"
-license=(GPL2 LGPL2.1)
-depends=(json-glib telepathy-glib gtk3 xapian-core)
-makedepends=(intltool gobject-introspection vala raptor python2-rdflib gnome-common)
-provides=(zeitgeist-datahub)
-conflicts=(zeitgeist-datahub)
-replaces=(zeitgeist-datahub)
-source=(https://launchpad.net/zeitgeist/${pkgver:0:3}/${pkgver}/+download/zeitgeist-${pkgver}.tar.xz{,.asc})
-md5sums=('f56b58a19d5fd5a7365ddcbe26ee6b15'
-         'SKIP')
-validpgpkeys=('E4884AEEDE4CC02043C3D8045DECDBA89270E723') #Rico Tzschichholz <ricotz at ubuntu.com>
-
-prepare() {
-  cd $pkgname-$pkgver
-
-  sed -i 's/python -/$PYTHON -/' configure.ac
-  sed -i '1s/python$/python2/' data/ontology2code
-
-  autoreconf -fi
-}
-
-build() {
-  cd $pkgname-$pkgver
-  export PYTHON=/usr/bin/python2
-  ./configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var \
-    --libexecdir=/usr/lib/$pkgname --enable-fts
-  sed -i -e 's/ -shared / -Wl,-O1,--as-needed\0 /g' -e 's/    if test "$export_dynamic" = yes && test -n "$export_dynamic_flag_spec"; then/      func_append compile_command " -Wl,-O1,--as-needed"\n      func_append finalize_command " -Wl,-O1,--as-needed"\n\0/' libtool
-  make
-}
-
-check() {
-  cd $pkgname-$pkgver
-  # Log test fails in chroot, as we have no X and no proper dbus
-  make -k check || :
-}
-
-package() {
-  cd $pkgname-$pkgver
-  make DESTDIR="$pkgdir" install
-}

Copied: zeitgeist/repos/extra-x86_64/PKGBUILD (from rev 289301, zeitgeist/trunk/PKGBUILD)
===================================================================
--- extra-x86_64/PKGBUILD	                        (rev 0)
+++ extra-x86_64/PKGBUILD	2017-02-19 23:00:45 UTC (rev 289302)
@@ -0,0 +1,50 @@
+# $Id$
+# Maintainer: Jan Alexander Steffens (heftig) <jan.steffens at gmail.com>
+# Contributor: Andrea Scarpino <andrea at archlinux.org>
+# Contributor: György Balló <ballogy at freestart.hu>
+
+pkgname=zeitgeist
+pkgver=1.0
+pkgrel=1
+pkgdesc="Service logging user activities and events"
+arch=(i686 x86_64)
+url="https://launchpad.net/zeitgeist/"
+license=(GPL2 LGPL2.1)
+depends=(json-glib telepathy-glib gtk3 xapian-core sqlite)
+makedepends=(gobject-introspection vala raptor python2-rdflib)
+provides=(zeitgeist-datahub)
+conflicts=(zeitgeist-datahub)
+replaces=(zeitgeist-datahub)
+source=(https://launchpad.net/zeitgeist/${pkgver:0:3}/${pkgver}/+download/zeitgeist-${pkgver}.tar.xz{,.asc})
+sha256sums=('5ff508508f7a7b46acc9fbf1cf73fecb1aec214e18d9d22325aae8c2c2e8ddc8'
+            'SKIP')
+validpgpkeys=('E4884AEEDE4CC02043C3D8045DECDBA89270E723') #Rico Tzschichholz <ricotz at ubuntu.com>
+
+prepare() {
+  cd $pkgname-$pkgver
+
+  sed -i 's/python -/$PYTHON -/' configure.ac
+  sed -i '1s/python$/python2/' data/ontology2code
+
+  autoreconf -fi
+}
+
+build() {
+  cd $pkgname-$pkgver
+  export PYTHON=/usr/bin/python2
+  ./configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var \
+    --libexecdir=/usr/lib --enable-fts
+  sed -i -e 's/ -shared / -Wl,-O1,--as-needed\0/g' libtool
+  make
+}
+
+check() {
+  cd $pkgname-$pkgver
+  # Log test fails in chroot, as we have no X and no proper dbus
+  make -k check || :
+}
+
+package() {
+  cd $pkgname-$pkgver
+  make DESTDIR="$pkgdir" install
+}



More information about the arch-commits mailing list